# Void Linux Productivity Apps

Enhance your productivity on Void Linux with these curated applications:

## Terminal and Shell Tools
- **alacritty**: Modern GPU-accelerated terminal emulator.
- **zellij**: Tmux-like terminal workspace manager.
- **neofetch**: Visually appealing system information display.
- **fzf**: Command-line fuzzy finder.
- **bat**: Better cat replacement.
- [**tldr**](https://tldr.sh/#installation): Better man replacement.
- **dust**: Command-line tool to display sizes of disk data.
- **aria2**: Command-line download manager.
- [**atuin**](https://docs.atuin.sh/guide/installation/): Command-line history with search.

## Desktop Utilities
- **nemo**: User-friendly file manager.
- **eog**: Eye of gnome a nice image viewer.
- **octoxbps**: Graphical package manager for XBPS.
- **fontmanager**: Simplifies font management.
- **pavucontrol**: Graphical audio settings manager.
- **gnome-system-monitor**: Graphical system resource monitor.
- **hardinfo**: Hardware info.
- **nwg-look**: Custom theme and configuration applier.
- **waydroid**: Android emulator.
- **easyeffects**: Audio effects for PipeWire applications - flatpak.
- **rclone-RcloneBrowser**: Manage cloud storage.

## Communication and Collaboration
- **telegram-desktop**: Official Telegram client.
- **discord**: Communication platform with text, voice, and video chat.

## Multimedia and Design
- **spotify**: Music streaming client.
- **spotify-adblock**: Blocks ads on Spotify.
- **freetube**: Youtube Open Source YouTube app for privacy.
- **obs**: Screen recorder.
- **GPU Screen Recorder**: Screen recorder with gpu - flatpak.
- **gimp**: Open-source raster graphics editor.
- **evince**: Document viewer for PDF and PostScript.

## Development and Editors
- **vscode and neovim**: Visual Studio Code and Neovim editors.
- [**nvm**](https://github.com/nvm-sh/nvm): Node.js version manager.

## Virtualization and Gaming
- **corectl**: CLI for CoreOS Container Linux clusters.
- **steam**: Digital distribution platform for games.

Boost your computing experience with these diverse applications, ranging from terminal enhancements to powerful multimedia and development tools.
